Subject: bug#10233: closed (Re: bug#10233: Font is not defined error at startup)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Dec 2011 07:37:02 +0000

Your bug report

#10233: Font is not defined error at startup

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10233: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10233
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10233: Font is not defined error at startup
From: Dan Nicolaescu <[email-masked]>
To: Kenichi Handa <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Dec 2011 02:35:26 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Kenichi Handa <[email-masked]> writes:

> In article <[email-masked]>, Dan Nicolaescu <[email-masked]> writes:
>
>> When starting up the current trunk I get this error:
>
>> Font `-b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso10646-1'
>> is not defined
>
>> That font is set in .Xdefaults, and it has not changed in years.
>
>> The cause is this checkin:
>
>> 106614: Kenichi Handa 2011-12-05 [merge] ftfont.c (get_adstyle_property): If the font is not BDF nor PCF, return Qnil
>
> Oops, sorry, I made a silly mistake.  I've just installed
> the attached change.  Please try again.  If it still doesn't

Thank you! 
It works now.

Subject: Font is not defined error at startup
From: Dan Nicolaescu <[email-masked]>
To: [email-masked]
Date: Tue, 06 Dec 2011 09:42:57 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

When starting up the current trunk I get this error:

Font `-b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso10646-1'
is not defined

That font is set in .Xdefaults, and it has not changed in years.

The cause is this checkin:

106614: Kenichi Handa 2011-12-05 [merge] ftfont.c (get_adstyle_property): If the font is not BDF nor PCF, return Qnil